# report-writer

Библиотека для создания отчётов

#### Установка:

pip.conf

        [install]
        extra-index-url = https://pypi.bars-open.ru/simple


Для установки выполнить:

        pip install report-writer


#### Документация:

[pydocs.bars.group](http://pydocs.bars.group/report-writer/latest/)

#### Для разработчика:

##### Запуск тестов:

        python -m unittest discover -s src

Так же создавая новые модули с тестами стоит называть их согласно паттерну test*.py

##### Проверки:

Для обеспечения качества кода настроены проверки:

+ для python 2.7, 3.6, 3.7:
    + unittest
    + coverage
+ для python 3.7:
    + mypy
    + isort
    + pylint
    + flake8

Перед внесением изменений убедитесь что после ваших изменений проходят 
все проверки.

Для этого:
1. Установите [tox](https://tox.readthedocs.io/en/latest/install.html) 
2. Убедитесь что у вас доступны интерпретаторы для python версий 2.7, 3.6, 3.7
3. Перейдите в папку с проектом
4. Запустите проверки командой `tox`

##### Документация:

Для создания докуменации в проекте используется [sphinx](http://www.sphinx-doc.org).
Перед выпуском версии необходимо пересоздать документацию и загрузить её.

Для этого:
1. Установите зависимости для разработки `pip install -r requirements/dev.txt`
2. Измените версию в файле `docs/source/conf.py`
3. Выполните скрипт `python docs/build.py`
4. Загрузите созданную документацию (`docs/build`) на [pydocs.bars.group](http://pydocs.bars.group/) (ssh-доступ: [192.168.222.98](https://conf.bars.group/x/VgIT#id-ДоступыТестиДемо-Демо-сервер-192.168.222.98), путь до документации: `/var/www/edu/pydocs/docs/report-writer/<номер версии>`)
5. Создать (заменить) символьную ссылку `latest` на последнюю версию
